org.apache.maven.plugins.shade.resource

## Class ComponentsXmlResourceTransformer

- java.lang.Object
- - org.apache.maven.plugins.shade.resource.ComponentsXmlResourceTransformer

All Implemented Interfaces:
  ResourceTransformer

    public class ComponentsXmlResourceTransformer
    extends Object
    implements ResourceTransformer

A resource processor that aggregates plexus `components.xml` files.

### Field Summary

Fields
`static String` `COMPONENTS_XML_PATH`

### Constructor Summary

Constructors
Constructor and Description
`ComponentsXmlResourceTransformer()`

### Method Summary

Methods
`boolean` `canTransformResource(String resource)`
`boolean` `hasTransformedResource()`
`void` `modifyOutputStream(JarOutputStream jos)`
`void` `processResource(String resource, InputStream is, List<Relocator> relocators)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMPONENTS_XML_PATH

    public static final String COMPONENTS_XML_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### ComponentsXmlResourceTransformer

    public ComponentsXmlResourceTransformer()

### Method Detail

#### canTransformResource

    public boolean canTransformResource(String resource)

Specified by:
  `canTransformResource` in interface `ResourceTransformer`

#### processResource

    public void processResource(String resource,
                       InputStream is,
                       List<Relocator> relocators)
                         throws IOException

Specified by:
  `processResource` in interface `ResourceTransformer`
Throws:
  `IOException`

#### modifyOutputStream

    public void modifyOutputStream(JarOutputStream jos)
                            throws IOException

Specified by:
  `modifyOutputStream` in interface `ResourceTransformer`
Throws:
  `IOException`

#### hasTransformedResource

    public boolean hasTransformedResource()

Specified by:
  `hasTransformedResource` in interface `ResourceTransformer`